Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QSizePolicy.Policy

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QSizePolicy.Policy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QSizePolicy

    public static final class QSizePolicy.Policy

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QSizePolicy.Policy` | `Expanding` The sizeHint() is a sensible size, but the widget can be shrunk and still be useful.
`static QSizePolicy.Policy` | `Fixed` The `QWidget.:sizeHint()` is the only acceptable alternative, so the widget can never grow or shrink (e.g.
`static QSizePolicy.Policy` | `Ignored` The sizeHint() is ignored.
`static QSizePolicy.Policy` | `Maximum` The sizeHint() is a maximum.
`static QSizePolicy.Policy` | `Minimum` The sizeHint() is minimal, and sufficient.
`static QSizePolicy.Policy` | `MinimumExpanding` The sizeHint() is minimal, and sufficient.
`static QSizePolicy.Policy` | `Preferred` The sizeHint() is best, but the widget can be shrunk and still be useful.

Method Summary
`static QSizePolicy.Policy` | `resolve(int value)` Returns the QSizePolicy$Policy constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSizePolicy.Policy` | `valueOf(java.lang.String name)`
`static QSizePolicy.Policy[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Fixed

    public static final QSizePolicy.Policy Fixed

  The `QWidget.:sizeHint()` is the only acceptable alternative, so the widget can never grow or shrink (e.g. the vertical direction of a push button).

### Minimum

    public static final QSizePolicy.Policy Minimum

  The sizeHint() is minimal, and sufficient. The widget can be expanded, but there is no advantage to it being larger (e.g. the horizontal direction of a push button). It cannot be smaller than the size provided by sizeHint().

### Maximum

    public static final QSizePolicy.Policy Maximum

  The sizeHint() is a maximum. The widget can be shrunk any amount without detriment if other widgets need the space (e.g. a separator line). It cannot be larger than the size provided by sizeHint().

### Preferred

    public static final QSizePolicy.Policy Preferred

  The sizeHint() is best, but the widget can be shrunk and still be useful. The widget can be expanded, but there is no advantage to it being larger than sizeHint() (the default `QWidget` policy).

### MinimumExpanding

    public static final QSizePolicy.Policy MinimumExpanding

  The sizeHint() is minimal, and sufficient. The widget can make use of extra space, so it should get as much space as possible (e.g. the horizontal direction of a horizontal slider).

### Expanding

    public static final QSizePolicy.Policy Expanding

  The sizeHint() is a sensible size, but the widget can be shrunk and still be useful. The widget can make use of extra space, so it should get as much space as possible (e.g. the horizontal direction of a horizontal slider).

### Ignored

    public static final QSizePolicy.Policy Ignored

  The sizeHint() is ignored. The widget will get as much space as possible.

Method Detail

### values

    public static QSizePolicy.Policy[] values()

### valueOf

    public static QSizePolicy.Policy valueOf(java.lang.String name)

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSizePolicy.Policy resolve(int value)

  Returns the QSizePolicy$Policy constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD